// from linux
#define LIKELY(x)      __builtin_expect(!!(x), 1)
#define likely(x)      __builtin_expect(!!(x), 1)
#define UNLIKELY(x)    __builtin_expect(!!(x), 0)

// not really compiler stuff, but compatiblity with master for varnish-cache 7.3
// taken from varnish-cache
#define _PTOK(call, var)                                                \
do {                                                                    \
        int var = call;                                                 \
        if (!var)                                                       \
                break;                                                  \
        errno = var;                                                    \
        WRONG(#call " failed");                                         \
} while (0)

#define PTOK(call) _PTOK(call, VUNIQ_NAME(_pterr))
